diff -ruN -x configure -x *~ -x ircd-hybrid-6.0.orig -x *.rej ircd-hybrid-6.0.orig/include/config.h ircd-hybrid-6.0/include/config.h
--- ircd-hybrid-6.0.orig/include/config.h	Sat May 26 16:54:19 2001
+++ ircd-hybrid-6.0/include/config.h	Sat May 26 16:53:28 2001
@@ -730,6 +730,12 @@
  */
 #undef NEED_TLD_FOR_MASS_NOTICE
 
+/*
+ *      See if there is a majority agreement on a GLINE on the given user
+ *      There must be at least 3 different opers agreeing on this GLINE
+ */ 
+#undef USE_MAJORITY_GLINE
+   
 /*   STOP STOP STOP STOP STOP STOP STOP STOP STOP STOP STOP STOP STOP STOP  */
 
 /* You shouldn't change anything below this line, unless absolutely needed. */
diff -ruN -x configure -x *~ -x ircd-hybrid-6.0.orig -x *.rej ircd-hybrid-6.0.orig/src/m_gline.c ircd-hybrid-6.0/src/m_gline.c
--- ircd-hybrid-6.0.orig/src/m_gline.c	Fri Dec  1 06:28:48 2000
+++ ircd-hybrid-6.0/src/m_gline.c	Sat May 26 16:53:28 2001
@@ -62,17 +62,19 @@
                               const char* oper_server,
                               const char *,const char *,const char *);
 
+#ifdef USE_MAJORITY_GLINE
 static void log_gline(aClient *,const char *,GLINE_PENDING *,
                       const char *, const char *,const char *,
                       const char* oper_server,
                       const char *,const char *,const char *);
 
-
-static void expire_pending_glines();
-
 static int majority_gline(aClient*, const char *,const char *, const char *, 
                           const char* serv_name,
                           const char *,const char *,const char *); 
+#endif /* USE_MAJORITY_GLINE */
+
+static void expire_pending_glines();
+
 
 #endif
 
@@ -286,7 +288,7 @@
 #ifdef GLINES
    log_gline_request(oper_name,oper_username,oper_host,oper_server,
                      user,host,reason);
-
+#ifdef USE_MAJORITY_GLINE
    sendto_realops("%s!%s@%s on %s is requesting gline for [%s@%s] [%s]",
                   oper_name,
                   oper_username,
@@ -305,6 +307,7 @@
                     user,
                     host,
                     reason))
+#endif
     {
       current_date = smalldate((time_t) 0);
           
@@ -387,6 +390,8 @@
  * log_gline()
  *
  */
+#ifdef USE_MAJORITY_GLINE
+
 static void log_gline(aClient *sptr,
                       const char *parv0,
                       GLINE_PENDING *gline_pending_ptr,
@@ -461,7 +466,7 @@
 
   close(out);
 }
-
+#endif 
 /*
  * flush_glines
  * 
@@ -730,6 +735,7 @@
     }
 }
 
+#ifdef USE_MAJORITY_GLINE
 static void add_new_majority_gline(const char* oper_nick,
                              const char* oper_user,
                              const char* oper_host,
@@ -765,6 +771,7 @@
   pending->next = pending_glines;
   pending_glines = pending;
 }
+#endif /* #ifdef USE_MAJORITY_GLINE */
 
 /*
  * majority_gline()
@@ -781,6 +788,7 @@
  *      Expire old entries.
  */
 
+#ifdef USE_MAJORITY_GLINE
 static int majority_gline(aClient *sptr,
                           const char *oper_nick,
                           const char *oper_user,
@@ -862,6 +870,7 @@
                          user, host, reason);
   return NO;
 }
+#endif
 
 /* add_gline
  *
